> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Secure Baseline scan dashboard for instance

> Returns secure baseline scan dashboard data for the instance associated with the access token.

The secure baseline scan dashboard includes metrics such as total baseline risk score, baseline risk grade, and breakdown of baseline risks by profile.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/dashboards/baseline
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/dashboards/baseline:
    get:
      tags:
        - Dashboards
      summary: Secure Baseline scan dashboard for instance
      description: "Returns secure baseline scan dashboard data for the instance associated with the access token.\r\n\r\nThe secure baseline scan dashboard includes metrics such as total baseline risk score, baseline risk grade, and breakdown of baseline risks by profile.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetBaselineScanDashboard
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardBaseline'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
components:
  schemas:
    DashboardBaseline:
      title: Dashboard Baseline
      type: object
      properties:
        current_grade:
          title: Current Grade
          type:
            - string
            - 'null'
          description: Current baseline grade.
        previous_grade:
          title: Previous Grade
          type:
            - string
            - 'null'
          description: Previous baseline grade.
        top_5_baselines:
          title: Top 5 Baselines
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/BaselinesTopFive'
          description: List of top 5 baseline targets.
        lowest_pass_targets_domain:
          title: Lowest Pass Targets Domain
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/BaselinesLowestTen'
          description: List of lowest pass targets for domain profiles.
        lowest_pass_targets_nondomain:
          title: Lowest Pass Targets Non-Domain
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/BaselinesLowestTen'
          description: List of lowest pass targets for non-domain profiles.
      additionalProperties: false
      description: >-
        Represents dashboard baseline data including grades and baseline
        targets.
    BaselinesTopFive:
      title: Baselines Top Five
      type: object
      properties:
        os_name:
          title: Profile Name
          type:
            - string
            - 'null'
          description: Name of the baseline profile.
        use_count:
          title: Usage Count
          type: integer
          description: Number of times the baseline profile has been used.
          format: int32
        targets:
          title: Targets
          type:
            - string
            - 'null'
          description: List of targets associated with the baseline profile.
      additionalProperties: false
      description: Represents a baseline target with its name and grade.
    BaselinesLowestTen:
      title: Baselines Top Five
      type: object
      properties:
        name:
          title: Target Name
          type:
            - string
            - 'null'
          description: Name of the baseline target.
        ip:
          title: IP Address
          type:
            - string
            - 'null'
          description: IP address of the baseline target.
        scan_date:
          title: Scan Date
          type:
            - string
            - 'null'
          description: Date when the baseline scan was conducted.
        pass_rate:
          title: Pass Rate
          type: number
          description: Pass rate of the baseline target.
          format: double
        grade:
          title: Grade
          type:
            - string
            - 'null'
          description: Grade of the baseline target.
        profile_name:
          title: Profile Name
          type:
            - string
            - 'null'
          description: Name of the profile associated with the baseline target.
        profile_type:
          title: Profile Type
          type:
            - string
            - 'null'
          description: Type of the profile associated with the baseline target.
      additionalProperties: false
      description: Represents a baseline target with its name and grade.

````